/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.niederschrift.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QNiederschriftStatusAenderung extends EntityPathBase<NiederschriftStatusAenderung> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// Niederschrift
, "niederschrift.wahldurchfuehrungsgebiet"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QNiederschriftStatusAenderung niederschriftStatusAenderung = new QNiederschriftStatusAenderung("niederschriftStatusAenderung");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath besitzer = createString("besitzer");

  public final StringPath raum = createString("raum");

  public final EnumPath<de.ivu.elect.business.niederschrift.entity.NiederschriftStatus> status = createEnum("status", de.ivu.elect.business.niederschrift.entity.NiederschriftStatus.class);

  public final DateTimePath zeitstempel = createDateTime("zeitstempel", java.sql.Timestamp.class);


  // Beziehungen N:1 unidirektional

  // Beziehungen N:1 bidirektional

  public final de.ivu.elect.business.niederschrift.entity.QNiederschrift niederschrift;


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QNiederschriftStatusAenderung(Class<? extends NiederschriftStatusAenderung> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.niederschrift = inits.isInitialized("niederschrift") ? new de.ivu.elect.business.niederschrift.entity.QNiederschrift(forProperty("niederschrift"), inits.get("niederschrift")) : null;// de.ivu.elect.business.niederschrift.entity.QNiederschrift.niederschrift;
  }

  public QNiederschriftStatusAenderung(String variable) {
    this(NiederschriftStatusAenderung.class, forVariable(variable), INITS);
  }

  public QNiederschriftStatusAenderung(Path<? extends NiederschriftStatusAenderung> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QNiederschriftStatusAenderung(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QNiederschriftStatusAenderung(PathMetadata metadata, PathInits inits) {
    this(NiederschriftStatusAenderung.class, metadata, inits);
  }
}
